Eclipse Platform Release 3.7

## org.eclipse.update.core
Class Category

    java.lang.Object
      org.eclipse.core.runtime.PlatformObject
          org.eclipse.update.core.model.ModelObject
              org.eclipse.update.core.model.CategoryModel
                  org.eclipse.update.core.Category

All Implemented Interfaces:
  IAdaptable, ICategory

Deprecated. The org.eclipse.update component has been replaced by Equinox p2. This API will be deleted in a future release. See bug 311590 for details.

    public class Category

extends CategoryModel
implements ICategory

Convenience implementation of feature category definition.

This class may be instantiated or subclassed by clients.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.0
See Also:
  `ICategory`, `CategoryModel`

Constructor Summary
`Category()` Deprecated. Default Constructor
`Category(String name, String label)` Deprecated. Constructor

Method Summary
`IURLEntry` `getDescription()` Deprecated. Retrieve the detailed category description

Methods inherited from class org.eclipse.update.core.model.CategoryModel
`equals, getComparator, getDescriptionModel, getLabel, getLabelNonLocalized, getName, getPropertyName, hashCode, markReadOnly, resolve, setDescriptionModel, setLabel, setName`

Methods inherited from class org.eclipse.update.core.model.ModelObject
`arrayTypeFor, arrayTypeFor, assertIsWriteable, getResourceBundle, isReadOnly, markListReferenceReadOnly, markReferenceReadOnly, resolveListReference, resolveNLString, resolveReference, resolveURL`

Methods inherited from class org.eclipse.core.runtime.PlatformObject
`getAdapter`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.update.core.ICategory
`getLabel, getName`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Constructor Detail

### Category

    public Category()

  Deprecated.
  Default Constructor

### Category

    public Category(String name,
                    String label)

  Deprecated.
  Constructor

Method Detail

### getDescription

    public IURLEntry getDescription()

  Deprecated.
  Retrieve the detailed category description

  Specified by:
    `getDescription` in interface `ICategory`
  Returns:
    category description, or `null`
  See Also:
    `ICategory.getDescription()`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.